KParts::DockMainWindow Class Reference

`#include <dockmainwindow.h>`

Inheritance diagram for KParts::DockMainWindow:

## Public Member Functions

| DockMainWindow (QWidget *parent=0L, const char *name=0L, WFlags f=WDestructiveClose)
virtual | ~DockMainWindow ()
Public Member Functions inherited from KDockMainWindow
| KDockMainWindow (QWidget *parent=0L, const char *name=0L, WFlags f=WType_TopLevel|WDestructiveClose)
KDockManager * | manager () const
void | setMainDockWidget (KDockWidget *dockwidget)
KDockWidget * | getMainDockWidget () const
KDockWidget * | createDockWidget (const QString &name, const QPixmap &pixmap, QWidget *parent=0L, const QString &strCaption=QString::null, const QString &strTabPageLabel=QString::fromLatin1(" "))
void | writeDockConfig (QDomElement &base)
void | readDockConfig (QDomElement &base)
void | writeDockConfig (KConfig *c=0L, QString group=QString::null)
void | readDockConfig (KConfig *c=0L, QString group=QString::null)
void | activateDock ()
QPopupMenu * | dockHideShowMenu () const
void | makeDockVisible (KDockWidget *dock)
void | makeDockInvisible (KDockWidget *dock)
void | makeWidgetDockVisible (QWidget *widget)
void | setView (QWidget *widget)
| KMainWindow (QWidget *parent=0, const char *name=0, WFlags f=WType_TopLevel|WDestructiveClose)
| KMainWindow (int cflags, QWidget *parent=0, const char *name=0, WFlags f=WType_TopLevel|WDestructiveClose)
KPopupMenu * | helpMenu (const QString &aboutAppText=QString::null, bool showWhatsThis=true)
KPopupMenu * | customHelpMenu (bool showWhatsThis=true)
virtual void | show ()
virtual void | hide ()
bool | restore (int number, bool show=true)
void | createGUI (const QString &xmlfile=QString::null, bool _conserveMemory=true)
void | setHelpMenuEnabled (bool showHelpMenu=true)
bool | isHelpMenuEnabled ()
bool | hasMenuBar ()
KMenuBar * | menuBar ()
KStatusBar * | statusBar ()
KToolBar * | toolBar (const char *name=0)
QPtrListIterator< KToolBar > | toolBarIterator ()
KAccel * | accel ()
void | setAutoSaveSettings (const QString &groupName=QString::fromLatin1("MainWindow"), bool saveWindowSize=true)
void | resetAutoSaveSettings ()
bool | autoSaveSettings () const
QString | autoSaveGroup () const
void | applyMainWindowSettings (KConfig *config, const QString &groupName, bool force)
void | saveMainWindowSettings (KConfig *config, const QString &groupName=QString::null)
void | setStandardToolBarMenuEnabled (bool enable)
bool | isStandardToolBarMenuEnabled () const
void | createStandardStatusBarAction ()
void | setupGUI (int options=ToolBar|Keys|StatusBar|Save|Create, const QString &xmlfile=QString::null)
void | setupGUI (QSize defaultSize, int options=ToolBar|Keys|StatusBar|Save|Create, const QString &xmlfile=QString::null)
KAction * | toolBarMenuAction ()
void | setupToolbarMenuActions ()
virtual void | finalizeGUI (KXMLGUIClient *client)
void | finalizeGUI (bool force)
bool | initialGeometrySet () const
void | ignoreInitialGeometry ()
QSize | sizeForCentralWidgetSize (QSize size) KDE_DEPRECATED
virtual void | setIcon (const QPixmap &)
virtual QWidget * | createContainer (QWidget *parent, int index, const QDomElement &element, int &id)
virtual void | removeContainer (QWidget *container, QWidget *parent, QDomElement &element, int id)
| KXMLGUIClient ()
| KXMLGUIClient (KXMLGUIClient *parent)
KAction * | action (const char *name) const
virtual KAction * | action (const QDomElement &element) const
virtual KActionCollection * | actionCollection () const
virtual KInstance * | instance () const
virtual QDomDocument | domDocument () const
virtual QString | xmlFile () const
void | setXMLGUIBuildDocument (const QDomDocument &doc)
QDomDocument | xmlguiBuildDocument () const
void | setFactory (KXMLGUIFactory *factory)
KXMLGUIFactory * | factory () const
KXMLGUIClient * | parentClient () const
void | insertChildClient (KXMLGUIClient *child)
void | removeChildClient (KXMLGUIClient *child)
const QPtrList< KXMLGUIClient > * | childClients ()
void | setClientBuilder (KXMLGUIBuilder *builder)
KXMLGUIBuilder * | clientBuilder () const
void | reloadXML ()
void | plugActionList (const QString &name, const QPtrList< KAction > &actionList)
void | unplugActionList (const QString &name)
void | beginXMLPlug (QWidget *)
void | endXMLPlug ()
void | prepareXMLUnplug (QWidget *)
Public Member Functions inherited from KParts::PartBase
| PartBase ()
virtual | ~PartBase ()
void | setPartObject (QObject *object)
QObject * | partObject () const

## Protected Slots

void | createGUI (KParts::Part *part)
virtual void | slotSetStatusBarText (const QString &)
Protected Slots inherited from KDockMainWindow
void | slotDockWidgetUndocked ()
void | saveNewToolbarConfig ()
virtual void | showAboutApplication ()
void | saveAutoSaveSettings ()

## Protected Member Functions

virtual void | createShellGUI (bool create=true)
Protected Member Functions inherited from KDockMainWindow
virtual void | closeEvent (QCloseEvent *)
virtual bool | queryExit ()
virtual bool | queryClose ()
virtual void | saveProperties (KConfig *)
virtual void | readProperties (KConfig *)
virtual void | saveGlobalProperties (KConfig *sessionConfig)
virtual void | readGlobalProperties (KConfig *sessionConfig)
bool | settingsDirty () const
QString | settingsGroup () const
void | saveWindowSize (KConfig *config) const
void | restoreWindowSize (KConfig *config)
void | parseGeometry (bool parsewidth)
virtual void | setInstance (KInstance *instance)
virtual void | setXMLFile (const QString &file, bool merge=false, bool setXMLDoc=true)
virtual void | setXML (const QString &document, bool merge=false)
virtual void | setDOMDocument (const QDomDocument &document, bool merge=false)
virtual void | conserveMemory ()
virtual void | stateChanged (const QString &newstate, ReverseStateChange reverse=StateNoReverse)
Protected Member Functions inherited from KParts::PartBase
virtual void | setInstance (KInstance *instance)
virtual void | setInstance (KInstance *instance, bool loadPlugins)
void | loadPlugins (QObject *parent, KXMLGUIClient *parentGUIClient, KInstance *instance)
void | setPluginLoadingMode (PluginLoadingMode loadingMode)

## Additional Inherited Members

Public Types inherited from KDockMainWindow
enum | CreationFlags
enum | StandardWindowOptions
Public Slots inherited from KDockMainWindow
int | configureToolbars ()
virtual void | setCaption (const QString &caption)
virtual void | setCaption (const QString &caption, bool modified)
virtual void | setPlainCaption (const QString &caption)
void | appHelpActivated (void)
virtual void | slotStateChanged (const QString &newstate)
void | slotStateChanged (const QString &newstate, KXMLGUIClient::ReverseStateChange)
void | setSettingsDirty ()
Signals inherited from KDockMainWindow
void | dockWidgetHasUndocked (KDockWidget *)
Static Public Member Functions inherited from KDockMainWindow
static bool | canBeRestored (int number)
static const QString | classNameOfToplevel (int number)
static QPtrList< KMainWindow > * | getMemberList ()
Static Public Attributes inherited from KDockMainWindow
static QPtrList< KMainWindow > * | memberList
Protected Types inherited from KParts::PartBase
enum | PluginLoadingMode { DoNotLoadPlugins = 0, LoadPlugins = 1, LoadPluginsIfEnabled = 2 }
Protected Attributes inherited from KDockMainWindow
KDockWidget * | mainDockWidget
KDockManager * | dockManager

## Detailed Description

A KPart-aware main window with ability for docking widgets, whose user interface is described in XML.

Inherit your main dock-window from this class and don't forget to call setXMLFile() in the inherited constructor.

It implements all internal interfaces in the case of a KDockMainWindow as host: the builder and servant interface (for menu merging).

Definition at line 47 of file dockmainwindow.h.

## Constructor & Destructor Documentation

DockMainWindow::DockMainWindow | ( | QWidget * | parent = `0L`,
|  | const char * | name = `0L`,
|  | WFlags | f = `WDestructiveClose`
| ) |  |

Constructor, same signature as KDockMainWindow.

Definition at line 61 of file dockmainwindow.cpp.

DockMainWindow::~DockMainWindow | ( |  | ) |

virtual

Destructor.

Definition at line 68 of file dockmainwindow.cpp.

## Member Function Documentation

void DockMainWindow::createGUI | ( | KParts::Part * | part | ) |

protected slot

Create the GUI (by merging the host's and the active part's)

Called on startup and whenever the active part changes. For this you need to connect this slot to the PartManager::activePartChanged() signal

Parameters

  part | The active part (set to 0L if no part).

Definition at line 73 of file dockmainwindow.cpp.

void DockMainWindow::slotSetStatusBarText | ( | const QString & | text | ) |

protected virtual slot

Called when the active part wants to change the statusbar message.

Reimplement if your dock-mainwindow has a complex statusbar (with several items)

Definition at line 125 of file dockmainwindow.cpp.

The documentation for this class was generated from the following files:

- dockmainwindow.h
- dockmainwindow.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys